View Issue Details

IDProjectCategoryView StatusLast Update
11656Development Templatespublic2018-02-16 15:54
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version2.5x 
Target VersionFixed in Version3.x 
Summary11656: Multiple numerci with slider : js file + css file
Description

Actua js is done in PHP for numerci with slider : move this js to a js file.
Actual solution need a css file in template : find the lighter css to have something viewable

Steps To Reproduce

Just remove the bootstrap-slider.css from the default template.

Thios one can be uses : but need a ligth one for nupdating the system.

I think use/improve the js system after launch to add some default bootsrtrap class.

Tagsanswers_html

Activities

There are no notes attached to this issue.

Related Changesets

LimeSurvey: answers_html 84ecb886

2016-09-29 09:16:24

DenisChenu

Details Diff
Dev: rework multiple numeric with slider : external js + css
Dev: fix .slider-handle.custom (the included style don't work on last Firefox)
Dev: add input-group-addon on suffix/preffix on multiple text: to be confirmed
Affected Issues
11656, 11724, 11725
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/multiplenumeric/answer.php Diff File
mod - application/views/survey/questions/multiplenumeric/rows/input/answer_row.php Diff File
mod - application/views/survey/questions/multiplenumeric/rows/sliders/answer_row.php Diff File
mod - application/views/survey/questions/multipleshorttext/rows/answer_row_inputtext.php Diff File
mod - application/views/survey/questions/multipleshorttext/rows/answer_row_textarea.php Diff File
mod - scripts/expressions/em_javascript.js Diff File
mod - scripts/numeric-slider.js Diff File
mod - styles-public/numeric-slider.css Diff File
mod - templates/default/config.xml Diff File
rm - templates/default/css/bootstrap-slider-rtl.css Diff File
rm - templates/default/css/bootstrap-slider.css Diff File
mod - templates/default/css/template.css Diff File

Issue History

Date Modified Username Field Change
2016-09-15 16:15 DenisChenu New Issue
2016-09-15 16:16 DenisChenu Tag Attached: answers_html
2016-10-05 17:51 DenisChenu Changeset attached => LimeSurvey answers_html 84ecb886
2016-10-05 17:51 DenisChenu Assigned To => DenisChenu
2016-10-05 17:51 DenisChenu Status new => resolved
2016-10-05 17:51 DenisChenu Resolution open => fixed
2016-10-05 17:51 DenisChenu Fixed in Version => 3.x
2018-02-16 15:54 c_schmitz Status resolved => closed